/* set font family */
@font-face {
    font-family: 'PublicSans';
    src: url('../fonts/Public_Sans/PublicSans-Regular.ttf') format('truetype');
}

@font-face {
    font-family: 'PublicSans-bold';
    src: url('../fonts/Public_Sans/PublicSans-Bold.ttf') format('truetype');
}

@font-face {
    font-family: 'PublicSans-extraBold';
    src: url('../fonts/Public_Sans/PublicSans-ExtraBold.ttf') format('truetype');
}

html,
body {
    font-family: 'PublicSans', sans-serif;
    background-color: #f4f6f8;
}

/* button size and colors change */
.btn {
    font-family: 'PublicSans-bold', sans-serif;
    width: fit-content;
    padding: 0 16px;
    height: 48px;
    text-transform: none;
}

.btn-dark {
    font-size: 15px;
    font-style: normal;
    font-weight: 700;
    line-height: 26px;
    border-radius: 8px;
    background-color: #212B36;
}

.btn-dark,
.btn-dark:focus,
.btn-dark:hover {
    box-shadow: none !important;
    border: 0 currentColor;
}

.btn-dark:hover {
    background-color: #454f5b;
}

.btn-light {
    font-size: 15px;
    font-style: normal;
    font-weight: 700;
    line-height: 26px;
    border-radius: 8px;
    color: #212B36;
    background-color: transparent;
}

.btn-light,
.btn-light:focus,
.btn-light:hover {
    box-shadow: none !important;
    border-color: #919EAB52;
}

.btn-light:hover {
    background-color: #212b3614;
    border-color: #212B36;
}


/* only for error page */
.errorContainer {
    height: 100vh;
    display: flex;
    justify-content: center;
    align-items: center;
}

.errContentBox {
    width: 50%;
    background-color: #fff;
    border-radius: 16px;
}

.felxCenter {
    display: flex;
    justify-content: center;
}

.logoContent {
    width: 100%;
    margin-top: 72px;
    text-align: center;
}

.logo {
    width: 280px;
    height: 77px;
    aspect-ratio: 3/2;
    object-fit: contain;
}

.h2Text {
    font-family: 'PublicSans-extraBold';
    font-size: 48px;
    line-height: 64px;
    font-weight: 800;
    letter-spacing: 0;
    margin-top: 88px;
    margin-bottom: 0;
    text-align: center;
}

.bodyText {
    font-size: 16px;
    line-height: 24px;
    font-weight: 400;
    letter-spacing: 0;
    margin-top: 48px;
    margin-bottom: 72px;
    text-align: center;
}

.btnSet button{
    padding: 0;
}

.btnSet a {
    text-decoration: none;
    color: #212B36;
    height: 48px;
    display: flex;
    align-items: center;
    padding: 0 16px;
}

.homeBtn {
    margin-bottom: 16px;
}

.homeBtn a {
    color: #FFF;
}

.copyText {
    margin: 48px auto 24px;
    color: #637381;
    font-size: 12px;
    line-height: 18px;
    font-weight: 400;
    letter-spacing: 0;
}

/* screens smaller than 1024px size - (Tab) */
@media screen and (max-width: 1024px) {
    .errContentBox {
        width: 85%;
    }

    .h2Text {
        font-size: 40px;
    }
}

/* screens smaller than 600px size - (Phone) */
@media screen and (max-width: 600px) {
    .h2Text {
        font-size: 32px;
        margin-top: 50px;
    }

    .bodyText {
        margin-bottom: 60px;
    }
}